Edit Account

Use PATCH on /account to edit the account's status or shipping information. You can use the statuses via this method to close an account, mark it as delinquent, return it to an active status, or suspend it.


šŸ“˜ Note: You can edit a user's personal information via PATCH on /user here.


As a best practice, use the close_without_refund status when closing accounts for fraud or compliance-related reasons. Reserve the close_with_refund status for customers in good standing, as it will issue refunds for any remaining funds. Use close_with_refund even if the account balance is zero for those customers.

Things to Note:

  • Closing an account will also close any associated cards. Please refer to 'Account and Card Statuses' for more info.
  • Close_with_refund, Close_without_refund, Close_charged_off, and Close_paid_off are terminal statuses. That is, once an account is changed to one of these statuses it is permanently closed and cannot be reopened. The associated user will have to reapply to open another account in your system.
  • Shipping address updates will only apply to cards that have yet to be sent to your embosser. You will have to reconcile any address discrepancies with your card embossing partner for cards that have already been sent.
  • For non-card-backed LOC accounts (e.g. Standalone LOC products), by default all credit accounts for the user/entity will receive the same shipping address update.
Path Params
string
required

Pass in the Spidr account ID

Body Params

PATCH /v1/account/:id Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string | null
enum

Updates the status of the account. Per Account and Card Statuses, will also update associated card statuses depending on the status selected.

shippingAddress
object | null
creditSettings
object

Credit settings to update for the account

string | null

The group's unique ID within Spidr. The account is assigned to this hierarchical group.

customFields
object

Vendor custom field values keyed by product customFieldMappings.inputField

boolean

When true and shippingAddress is provided, also updates the shipping address on all other active (non-archived, non-closed) accounts for the same user. Note: for non-card-backed LOC products, the shipping address is always cascaded to all credit accounts for the user/entity regardless of this flag.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json